{"command":{"effect":"read","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Returns the complete updated goal relationship record for a single goal relationship.","properties":{"path":{"type":"object","properties":{"goal_relationship_gid":{"type":"string","examples":["12345"],"description":"Globally unique identifier for the goal relationship."}},"required":["goal_relationship_gid"],"additionalProperties":false},"query":{"type":"object","properties":{"opt_pretty":{"type":"boolean","examples":[true],"description":"Provides “pretty” output.\nProvides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."},"opt_fields":{"type":"array","items":{"type":"string","enum":["contribution_weight","resource_subtype","supported_goal","supported_goal.name","supported_goal.owner","supported_goal.owner.name","supporting_resource","supporting_resource.name","supporting_resource.resource_subtype"]},"examples":[["contribution_weight","resource_subtype","supported_goal","supported_goal.name","supported_goal.owner","supported_goal.owner.name","supporting_resource","supporting_resource.name","supporting_resource.resource_subtype"]],"description":"This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. Properties can include nested fields. To learn more, see the [input/output options guide](/docs/inputoutput-options#selecting-nested-fields)."}},"required":[],"additionalProperties":false}},"required":["path"],"additionalProperties":false},"name":"Get a goal relationship","id":"asana.getgoalrelationship","example":{"path":{"goal_relationship_gid":"12345"}},"maxRequests":1,"summary":false}}